Subject: Re: cygipc-behaviour not like FreeBSD on destroying shmid
From: "Robert Collins" <[email-masked]>
To: "Charles Wilson" <[email-masked]>, "Michael Haubenwallner" <[email-masked]>
Cc: <[email-masked]>
Date: Tue, 27 Nov 2001 09:32:14 +1100

----- Original Message -----
From: "Charles Wilson" <[email-masked]>
> > Another problem might be that forking with attached shm does not
> > increment the nattch-counter, but this is not really a problem
> > for me and i suppose this might not be as simple as this one.
>
>
> I *think* that would require special code in cygwin1.dll's fork()
> implementation.  Not gonna happen -- but...there is work going on to
try
> to rewrite IPC support for cygwin.  Search the cygwin-developer
archives
> for 'cygwin daemon'.

Chuck, you can use pthread_atfork() to have a function called in your
app when fork () is called. You could call that during shmattach, and
then when you callback is triggered increment nattch..

Rob

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/